#include <bits/stdc++.h>
using namespace std;
typedef long long ll;
ll n,m,i,j,a[100010],v1,v2,res,f,flags;
string c;
char sd;
ll vopros(ll v1,ll v2){
    flags=0;
    f=0;
    for(ll i=v1-1;i<=v2;i++){
    if(flags==0){
        f++;
        flags=1;
    }
    else if(c[i-1]==c[i] || c[i-1]+1==c[i] && flags==1)continue;
    else if(c[i-1]!=c[i] && c[i-1]+1!=c[i] && flags==1)flags=0;
    }
    return f;
}
int main()
{
       cin>>c;
       cin>>n;
       for(i=1;i<=n;i++){
        cin>>v1>>v2;
        res = vopros(v1,v2);
        cout<<res<<endl;
       }
    return 0;
}
